#!/usr/local/bin/python
# $Id: 03cont.py,v 1.3 2000/05/15 12:15:00 arcege Exp $

from sys import stdout
import os
import string
import ExpectPy
import sys

data_file_name = '03cont.data'
try:
  read_path_name = os.path.join(srcdir, data_file_name)
except NameError:
  read_path_name = os.path.join(os.curdir, data_file_name)

def main():
  global read_path_name
  id = ExpectPy.spawn(None, 'cat', read_path_name)
  ExpectPy.settings.loguser = 0
  def output_line(line, spawn=id):
    line = string.replace(line, '\r', '')
    stdout.write(line)
    spawn.cont()
  try:
    id.expect((ExpectPy.GLOB, "*\r\n", output_line))
  except EOFError:
    pass
  id.close()

if __name__ == '__main__':
  main()
  status = 1

