
import sys
import posix

if len(sys.argv) > 1 and sys.argv[1] not in ('yes', 'no'):
  basedir = libdir = sys.argv[1]
else:
  basedir = sys.prefix
  libdir = sys.exec_prefix
version = sys.version[:3]

i = 0
for c in sys.version:
  if c == ' ':
    break
  i = i + 1
fullversion = sys.version[:i]

if version == '1.4':
  libs = '-lModules -lPython -lObjects -lParser'
  shareddir = 'sharedmodules'
else:
  libs = '-lpython' + version
  shareddir = 'lib-dynload'

try:
  posix.stat('%s/include/python%s' % (basedir, version))
except:
  PYTH_INCDIR='%s/Include' % basedir
else:
  PYTH_INCDIR='%s/include/python%s' % (basedir, version)
try:
  posix.stat('%s/lib/python%s' % (libdir, version))
except:
  PYTH_LIBDIR='%s/Lib' % libdir
  PYTH_SHLIBDIR='%s/Modules' % libdir
  PYTH_CONFIGDIR= libdir
else:
  PYTH_LIBDIR='%s/lib/python%s' % (libdir, version)
  PYTH_SHLIBDIR='%s/%s' % (PYTH_LIBDIR, shareddir)
  PYTH_CONFIGDIR='%s/config' % PYTH_LIBDIR

print "PYTH_VERS='%s';" % version,
print "PYTH_vers='%s';" % fullversion,
print "PYTH_INCDIR='%s';" % PYTH_INCDIR,
print "PYTH_LIBDIR='%s';" % PYTH_LIBDIR,
print "PYTH_LIBS='%s';" % libs,
print "PYTH_SHLIBDIR='%s';" % PYTH_SHLIBDIR,
print "PYTH_CONFIGDIR='%s';" % PYTH_CONFIGDIR,
print

