#!/usr/local/bin/python
# $Id: 05intact.py,v 1.3 2000/05/15 12:15:00 arcege Exp $
# test the interact method on the output of who(1)

from sys import stdout
import os
import ExpectPy

data_file_name = '05intact.data'
try:
  read_path_name = os.path.join(srcdir, data_file_name)
except NameError:
  read_path_name = os.path.join(os.curdir, data_file_name)

def main():
  global read_path_name
  id = ExpectPy.spawn(None, 'cat', read_path_name)
  outfile = open('output', 'w')
  ExpectPy.settings.loguser = 0
  try:
    id.interact((None, outfile))
  except EOFError:
    pass
  outfile.close()
  os.remove('output')

  id.close()

if __name__ == '__main__':
  main()
  status = 1

