#!/usr/local/bin/python
# $Id: 06pcre.py,v 1.5 2000/11/04 01:35:58 arcege Exp $

from sys import stdout
import os
import string
import ExpectPy

data_file_name = '06pcre.data'
try:
  read_path_name = os.path.join(srcdir, data_file_name)
except NameError:
  read_path_name = os.path.join(os.curdir, data_file_name)

def output_line(line, *args):
  line = string.replace(line, '\r', '')
  stdout.write(line)

def main():
  global read_path_name
  id = ExpectPy.spawn(None, 'cat', read_path_name)
  try:
    while 1:
      id.expect((ExpectPy.COMPILED, tryme, output_line))
  except EOFError:
    pass
  id.close()

if __name__ == '__main__':
  if ExpectPy.re_type in ('pre', 're'):
    tryme = ExpectPy.compile('..*\r\n')
    main()
    status = 1
  else:
    status = 1

